Bug 113125 - RFE: please add an argument to new-kernel-pkg (with patch)
RFE: please add an argument to new-kernel-pkg (with patch)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-08 13:17 EST by ajs
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 13:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to implement request. (1.41 KB, patch)
2004-01-08 13:19 EST, ajs
no flags Details | Diff

  None (edit)
Description ajs 2004-01-08 13:17:04 EST
Description of problem:

Please add an argument to new-kernel-pkg to add arbitrary kernel
arguments.

At times I need to add extra kernel arguments to kernels that I install.  

One example is in an rpm that I make when a new version of Red Hat or
Fedora is released.  The rpm installs the kernel and ram-disk from the
installation CD to the system and adds the kernel to the boot menu.  
 All of the systems get their kickstart configuration from a common
URL so the extra kernel argument in this case is 'ks=<URL>'.  I
currently have a modified new-kernel-pkg script in each of the %post
and %preun sections of the .spec file used to generate the rpm.  These
modified versions would not be necessary if there was an argument to
pass kernel args to grubby.  See attached patch.
Comment 1 ajs 2004-01-08 13:19:22 EST
Created attachment 96834 [details]
Patch to implement request.

I think that this patch will implement the request without being intrusive.
Comment 2 Jeremy Katz 2004-01-08 18:35:17 EST
Seems reasonable, added for 3.5.18, thanksf or the patch.

Note You need to log in before you can comment on or make changes to this bug.